Elastic Kubernetes Service

EKS kann nicht aktualisiert werden

Hi,

Ich habe einen EKS-Cluster mit Version 1.16 und versuche,auf 1.17 zu aktualisieren,was jedoch mit folgendem Fehler fehlschlägt,da die Standard-Sicherheitsgruppe fehlt (gelöscht)

13.11.2021 09:19:19 wird Cluster „xxx“ Control Plane von aktueller Version „1.16“ auf „1.17“ upgraden Fehler: InvalidRequestException: The Security Group ‚sg-0fdxxx‘ does not exist (Service: AmazonEC2; Status Code: 400; Fehlercode: InvalidGroup.NotFound; Anforderungs-ID: xxx-xxx-xxx-xxx-xxx; Proxy: null)

Es scheint keine andere Möglichkeit zur Aktualisierung zu geben,also warte ich auf die Zwangsaktualisierung von AWS,wenn das Ende des Supports erreicht ist.Bisher ist jedoch nichts passiert.Daher möchte ich fragen,ob es eine Möglichkeit gibt,die alte Sicherheitsgruppe wiederherzustellen oder die Standardgruppe im aktuellen Cluster zu entfernen,um die Aktualisierung zu ermöglichen oder nicht

Thanks

Wenn dies die Sicherheitsgruppe der Steuerungsebene war, können Sie dies meines Erachtens nicht ändern, und Sie können die Sicherheitsgruppen-ID nicht neu erstellen. An dieser Stelle besteht die beste Option darin, den Cluster neu zu erstellen. Siehe auch: https://github.com/aws/containers-roadmap/issues/738




Ja,ich habe dieses Problem schon vor langer Zeit gesehen.Allerdings ist mein Cluster hier ein Produktionscluster und es wird mehr Aufwand erfordern,alles neu zu erstellen und zu migrieren.Ich frage mich auch,warum das Force-Update nicht stattfindet.Zumindest kann ich versuchen,eine Ausfallzeit dafür einzuplanen.